import { GridStateCommunity } from "../../../models/gridStateCommunity.js";
import { GridRowId } from "../../../models/gridRows.js";
/**
 * @category Pagination
 * @ignore - do not document.
 */
export declare const gridPaginationSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, unknown, import("@mui/x-data-grid").GridPaginationState>;
/**
 * @category Pagination
 * @ignore - do not document.
 */
export declare const gridPaginationEnabledClientSideSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationState, boolean>;
/**
 * Get the pagination model
 * @category Pagination
 */
export declare const gridPaginationModelSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationState, import("@mui/x-data-grid").GridPaginationModel>;
/**
 * Get the row count
 * @category Pagination
 */
export declare const gridPaginationRowCountSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationState, number>;
/**
 * Get the pagination meta
 * @category Pagination
 */
export declare const gridPaginationMetaSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationState, import("@mui/x-data-grid").GridPaginationMeta>;
/**
 * Get the index of the page to render if the pagination is enabled
 * @category Pagination
 */
export declare const gridPageSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationModel, number>;
/**
 * Get the maximum amount of rows to display on a single page if the pagination is enabled
 * @category Pagination
 */
export declare const gridPageSizeSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridPaginationModel, number>;
/**
 * Get the amount of pages needed to display all the rows if the pagination is enabled
 * @category Pagination
 */
export declare const gridPageCountSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, number, number>;
/**
 * Get the index of the first and the last row to include in the current page if the pagination is enabled.
 * @category Pagination
 */
export declare const gridPaginationRowRangeSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridRowEntry<import("@mui/x-data-grid").GridValidRowModel>[], {
  firstRowIndex: number;
  lastRowIndex: number;
} | null>;
/**
 * Get the id and the model of each row to include in the current page if the pagination is enabled.
 * @category Pagination
 */
export declare const gridPaginatedVisibleSortedGridRowEntriesSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, {
  firstRowIndex: number;
  lastRowIndex: number;
} | null, import("@mui/x-data-grid").GridRowEntry<import("@mui/x-data-grid").GridValidRowModel>[]>;
/**
 * Get the id of each row to include in the current page if the pagination is enabled.
 * @category Pagination
 */
export declare const gridPaginatedVisibleSortedGridRowIdsSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, {
  firstRowIndex: number;
  lastRowIndex: number;
} | null, GridRowId[]>;
/**
 * Get the rows, range and rowIndex lookup map after filtering and sorting.
 * Does not contain the collapsed children.
 * @category Pagination
 */
export declare const gridVisibleRowsSelector: import("@mui/x-data-grid").OutputSelector<GridStateCommunity, import("@mui/x-data-grid").GridRowEntry<import("@mui/x-data-grid").GridValidRowModel>[], {
  rows: import("@mui/x-data-grid").GridRowEntry<import("@mui/x-data-grid").GridValidRowModel>[];
  range: {
    firstRowIndex: number;
    lastRowIndex: number;
  } | null;
  rowIdToIndexMap: Map<GridRowId, number>;
}>;